Error al actualizar de PHP5 a PHP7.3

Para cualquier duda sobre Joomla! 3.x que no tenga cabida en alguno de los foros de más abajo.

Moderators: hefesto, carcam

Post Reply
richmoon
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Thu Oct 29, 2015 7:53 am

Error al actualizar de PHP5 a PHP7.3

Post by richmoon » Wed Mar 27, 2019 11:51 am

Buenos días.

Tengo un servidor web en Ubuntu con varias páginas web en joomla. Tengo la versión 5.5.6 del php y quiero actualizarla a la 7.3.

El caso es que la instalación del php la ha hecho bien pero cuando cambio de versión las web me muestran una pantalla donde solo pone ERROR.

El cambio de versión lo hago asi:

sudo a2dismod php5
sudo a2enmod php7.3
sudo service apache2 restart
sudo update-alternatives --set php /usr/bin/php7.3

Me falta por hacer algo? que puede pasar.

Gracias de antemano!

User avatar
john-doe
Joomla! Guru
Joomla! Guru
Posts: 804
Joined: Tue Apr 19, 2011 7:39 pm
Location: Colombia
Contact:

Re: Error al actualizar de PHP5 a PHP7.3

Post by john-doe » Wed Mar 27, 2019 1:11 pm

Varios sitios en Joomla?

Es probable que todos tengan algún elemento que no sea compatible con PHP 7.3. Aunque lo más que he trabajado es 7.2 esa migración es muy drástica.

Tiene una máquina en Windows? Instale Wampserver, El último por lo menos tiene 5.6.(no recuerdo), 7.0.13 y 7.1.28. Si todos los sitios en 5.6 aguantan, eleve progresivamente el PHP (Wampserver puede hacer eso sin tener que instalar via comandos). Y tome nota de los errores.

De ser el caso estando Devuelva si es posible el servidor a 5.5.X, elévelo al último 5.6.X disponible estando ahí, actualice componentes (NO OLVIDE HACER BACKUP DE SITIOS Y BASES DE DATOS) una vez hecha la ronda de actualizaciones, eleve gradualmente, intente primero con 7.0.X, luego 7.1,X, y luego 7.2.X.

A medida que sube si bota error tome nota de cada uno.
www.aldemar-hernandez.com - Custom templates and design services.

richmoon
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Thu Oct 29, 2015 7:53 am

Re: Error al actualizar de PHP5 a PHP7.3

Post by richmoon » Wed Mar 27, 2019 1:16 pm

Hola!

Si es un servidor en Ubuntu donde tengo varias intranets de mi empresa, por cada departamento.

Joomla esta en la verisón 3.8.4 y el propio joomla me dice que actualice de la versión 5.5. a la versión 7.

User avatar
john-doe
Joomla! Guru
Joomla! Guru
Posts: 804
Joined: Tue Apr 19, 2011 7:39 pm
Location: Colombia
Contact:

Re: Error al actualizar de PHP5 a PHP7.3

Post by john-doe » Wed Mar 27, 2019 1:21 pm

richmoon wrote:
Wed Mar 27, 2019 1:16 pm
Hola!

Si es un servidor en Ubuntu donde tengo varias intranets de mi empresa, por cada departamento.

Joomla esta en la verisón 3.8.4 y el propio joomla me dice que actualice de la versión 5.5. a la versión 7.
Te reformulo la pregunta.

Tiene un entorno de desarrollo para poder ver los errores y determinar donde y como actualizarlos antes de subir a 7?
www.aldemar-hernandez.com - Custom templates and design services.

richmoon
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Thu Oct 29, 2015 7:53 am

Re: Error al actualizar de PHP5 a PHP7.3

Post by richmoon » Wed Mar 27, 2019 1:30 pm

Nop, aunque el servidor tiene backup diario, en caso de estropearlo podria recuperarlo

richmoon
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Thu Oct 29, 2015 7:53 am

Re: Error al actualizar de PHP5 a PHP7.3

Post by richmoon » Thu Mar 28, 2019 12:02 pm

Bueno pues lo he solucionado.

Es un poco cutre pero me ha funcionado. Tenía la versión 5.5.9. De esta versión he pasado a la 5.6, de esta a la 7.0, 7.1, 7.2. y 7.3. Es decir, he ido pasando por todas las versiones y así me ha funcionado.

User avatar
john-doe
Joomla! Guru
Joomla! Guru
Posts: 804
Joined: Tue Apr 19, 2011 7:39 pm
Location: Colombia
Contact:

Re: Error al actualizar de PHP5 a PHP7.3

Post by john-doe » Thu Mar 28, 2019 12:35 pm

richmoon wrote:
Thu Mar 28, 2019 12:02 pm
Es un poco cutre pero me ha funcionado. Tenía la versión 5.5.9. De esta versión he pasado a la 5.6, de esta a la 7.0, 7.1, 7.2. y 7.3. Es decir, he ido pasando por todas las versiones y así me ha funcionado.
Más que cutre es curioso. Sin embargo preferiria corroborar si las web tienen errores habilitando la muestra de errores en Sistema / Configuración global / Servidor poniendo los errores al maximo para comprobar si de veras asimiló el PHP o quedaron errores en el camino.
www.aldemar-hernandez.com - Custom templates and design services.

richmoon
Joomla! Apprentice
Joomla! Apprentice
Posts: 12
Joined: Thu Oct 29, 2015 7:53 am

Re: Error al actualizar de PHP5 a PHP7.3

Post by richmoon » Thu Mar 28, 2019 12:38 pm

Donde veo esos errores? en el error.log?

User avatar
john-doe
Joomla! Guru
Joomla! Guru
Posts: 804
Joined: Tue Apr 19, 2011 7:39 pm
Location: Colombia
Contact:

Re: Error al actualizar de PHP5 a PHP7.3

Post by john-doe » Thu Mar 28, 2019 7:47 pm

richmoon wrote:
Thu Mar 28, 2019 12:38 pm
Donde veo esos errores? en el error.log?
Puede servir pero tambien los puede ver en System / global configuration / server busca error reporting y lo pone en maximum, a ver de quién es cada error.
www.aldemar-hernandez.com - Custom templates and design services.


Post Reply

Return to “Joomla! 3.x”